Get LookupTableRevisionArchivedData URL - m3ter Documentation
Get LookupTableRevisionArchivedData URL
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/archived \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contentType": "<unknown>"
}
'```
### Python
import requests
payload = { "contentType": "
response = requests.post(url, json=payload, headers=headers)
print(response.text)
### JavaScript (Fetch API)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer
fetch('https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/archived', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
### PHP
"https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data/archived",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "POST",\
CURLOPT_POSTFIELDS => json_encode([\
'contentType' => '
### Go
package main
import ( "fmt" "strings" "net/http" "io" )
func main() {
payload := strings.NewReader("{\n "contentType": "
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(string(body)) }
### Unirest (Java)
HttpResponse
### Ruby
require 'uri' require 'net/http'
http = Net::HTTP.new(url.host, url.port) http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer
response = http.request(request) puts response.read_body
### Possible Responses
#### 200
```json
{
"url": "<string>",
"expiry": "2023-11-07T05:31:56Z"
}
4XX
{
"message": "<string>"
}
5XX
{
"message": "<string>"
}
Path Parameters
- orgId: UUID of the organization (required)
- lookupTableId: UUID of the LookupTable (required)
- lookupTableRevisionId: UUID of the LookupTableRevision (required)
Body
- contentType: Any (required)
Authorization
- Required header for machine to machine authentication using the
clientCredentialsOAuth2 flow.